Are you an LLM? Read llms.txt for a summary of the docs, or llms-full.txt for the full context.
Skip to content

perpMetaDetail

Detailed perpetual metadata and margin tiers for one base asset. Query by base asset name (for example BTC), not the full perp symbol (BTC-USDC).

POST/infotype perpMetaDetail

Show margin tiers and max leverage for one base asset (BTC, not BTC-USDC).

Request body
assetNamestringrequired

Base asset name, e.g. `BTC`.

typestringrequired
Request example
curl -X POST https://rpc.txflow-testnet.xyz/info \
  -H "Content-Type: application/json" \
  -H "x-api-version: 2026-08-16" \
  -d '{
  "type": "perpMetaDetail",
  "assetName": "BTC"
}'
Try it
POST https://rpc.txflow-testnet.xyz/info
Response · PerpMetaDetailResponse 200
codeinteger

`0` on success.

dataPerpMetaDetailResponse
assetAssetDetail
instrumentsInstrumentDetail[]
successboolean

`false` on error, with `code` set and the text in `message` instead of `data`.

Response example
{
  "success": true,
  "code": 0,
  "data": {
    "asset": {
      "name": "",
      "assetId": 0,
      "szDecimals": 0,
      "weiDecimals": 0,
      "maxSupply": "",
      "initialWei": "",
      "archorTokenWei": ""
    },
    "instruments": [
      {
        "perp": {
          "name": "",
          "instrumentId": 9001,
          "assets": [
            0
          ],
          "szDecimals": 0,
          "perpType": "",
          "takerFeeRate": "",
          "makerFeeRate": "",
          "priceTick": "0",
          "bookTicks": [
            ""
          ],
          "maxLimitOrderSize": 0,
          "maxMarketOrderSize": 0,
          "haltTrading": false,
          "onlyIsolated": false,
          "delisted": false
        },
        "marginTable": {
          "instrumentId": 9001,
          "tiers": [
            {
              "tier": 0,
              "minSize": "",
              "maxSize": "",
              "maxLeverage": 0,
              "mmr": ""
            }
          ]
        }
      }
    ]
  }
}